Package com.independentsoft.office.word

# Class AbsolutePositionTab

java.lang.Object
com.independentsoft.office.word.AbsolutePositionTab

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class AbsolutePositionTab extends Object implements IRunContent
The Class AbsolutePositionTab.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbsolutePositionTab()`
  Instantiates a new absolute position tab.
  `AbsolutePositionTab​(AbsolutePositionTabAlignment alignment)`
  Instantiates a new absolute position tab.
  `AbsolutePositionTab​(AbsolutePositionTabAlignment alignment, AbsolutePositionTabPositioningBase relativeTo)`
  Instantiates a new absolute position tab.
  `AbsolutePositionTab​(AbsolutePositionTabAlignment alignment, AbsolutePositionTabPositioningBase relativeTo, AbsolutePositionTabLeader leader)`
  Instantiates a new absolute position tab.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbsolutePositionTab`
  `clone()`
  `AbsolutePositionTabAlignment`
  `getAlignment()`
  Gets the alignment.
  `List<IContentElement>`
  `getContentElements()`
  `AbsolutePositionTabLeader`
  `getLeader()`
  Gets the leader.
  `AbsolutePositionTabPositioningBase`
  `getRelativeTo()`
  Gets the relative to.
  `void`
  `setAlignment​(AbsolutePositionTabAlignment alignment)`
  Sets the alignment.
  `void`
  `setLeader​(AbsolutePositionTabLeader leader)`
  Sets the leader.
  `void`
  `setRelativeTo​(AbsolutePositionTabPositioningBase relativeTo)`
  Sets the relative to.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbsolutePositionTab

    public AbsolutePositionTab()
    Instantiates a new absolute position tab.

  - ### AbsolutePositionTab

    public AbsolutePositionTab​(AbsolutePositionTabAlignment alignment)
    Instantiates a new absolute position tab.
    Parameters:
      `alignment` - the alignment

  - ### AbsolutePositionTab

    public AbsolutePositionTab​(AbsolutePositionTabAlignment alignment, AbsolutePositionTabPositioningBase relativeTo)
    Instantiates a new absolute position tab.
    Parameters:
      `alignment` - the alignment
      `relativeTo` - the relative to

  - ### AbsolutePositionTab

    public AbsolutePositionTab​(AbsolutePositionTabAlignment alignment, AbsolutePositionTabPositioningBase relativeTo, AbsolutePositionTabLeader leader)
    Instantiates a new absolute position tab.
    Parameters:
      `alignment` - the alignment
      `relativeTo` - the relative to
      `leader` - the leader

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public AbsolutePositionTab clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlignment

    public AbsolutePositionTabAlignment getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(AbsolutePositionTabAlignment alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getLeader

    public AbsolutePositionTabLeader getLeader()
    Gets the leader.
    Returns:
      the leader

  - ### setLeader

    public void setLeader​(AbsolutePositionTabLeader leader)
    Sets the leader.
    Parameters:
      `leader` - the new leader

  - ### getRelativeTo

    public AbsolutePositionTabPositioningBase getRelativeTo()
    Gets the relative to.
    Returns:
      the relative to

  - ### setRelativeTo

    public void setRelativeTo​(AbsolutePositionTabPositioningBase relativeTo)
    Sets the relative to.
    Parameters:
      `relativeTo` - the new relative to